<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.bussinessGoods.mapper.BussinessGoodsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bussinessGoodsResultMap" type="org.springblade.modules.guosen.bussinessGoods.entity.BussinessGoods">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="bussiness_id" property="bussinessId"/>
        <result column="goods_name" property="goodsName"/>
        <result column="goods_type" property="goodsType"/>
        <result column="goods_desc" property="goodsDesc"/>
        <result column="goods_price" property="goodsPrice"/>
        <result column="goods_remark" property="goodsRemark"/>
        <result column="goods_no" property="goodsNo"/>
        <result column="goods_pic" property="goodsPic"/>
    </resultMap>


    <select id="selectBussinessGoodsPage" resultMap="bussinessGoodsResultMap">
        select * from cyzh_bussiness_goods where is_deleted = 0
    </select>

</mapper>
